%define version 0.2
Name:				lvm-viewer
Summary:			lvm-viewer provides a graphical interface to manage your lvm volumes
Version:			%{version}
Release:			1
Copyright:			GPL
Group:				Utilities/System
Source:				htp://ds9a.nl/lvm-viewer/releases/lvm-viewer-%{version}.tar.gz
Patch0:				lvm-makefile.patch
Vendor:				Bert Hubert <ahu@ds9a.nl>
URL:				http://ds9a.nl/lvm-viewer/
BuildRoot:			/tmp/lvm-viewer-broot
Packager:			William Stearns <wstearns@pobox.com>


%description
This program gives you a graphical overview of your LVM setup. It was
written in conjunction with the LVM HOWTO which can be found on
http://ds9a.nl/lvm-howto (which you should read).

Version 0.2 is dangerous! Don't use on production systems!


%changelog
* Sun May 28 2000 William Stearns <wstearns@pobox.com>
- First spec file and rpm release.


%prep
%setup
%patch0 -p1


%build
make all


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/lvm-viewer-broot" ]; then
    rm -rf $RPM_BUILD_ROOT
	install -d $RPM_BUILD_ROOT/usr/sbin/
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/lvm-viewer-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi


%files
%defattr(-,root,root)
%attr(755,root,root)				/usr/sbin/lvm-viewer
%attr(755,root,root)				/usr/sbin/lvm-viewer.glade
							%doc	CHANGELOG README TODO index.php3 issues


